Skip to content
Docs

Update a custom environment

PATCHhttps://api.vercel.com/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}
Update a custom environment for the project. Must not be named 'Production' or 'Preview'.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.environment.updateCustomEnvironment({
idOrName: "<value>",
environmentSlugOrId: "<id>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"branchMatcher": {
"pattern": "string",
"type": "endsWith"
},
"createdAt": "123",
"currentDeploymentAliases": [],
"description": "string",
"domains": [
{
"apexName": "Example Name",
"createdAt": "123",
"customEnvironmentId": "example_id",
"gitBranch": "string",
"name": "Example Name",
"projectId": "example_id",
"redirect": "string",
"redirectStatusCode": "301",
"updatedAt": "123",
"verification": [
{
"domain": "string",
"reason": "Customer requested refund",
"type": "string",
"value": "string"
}
],
"verified": "false"
}
],
"id": "icfg_1234567890",
"slug": "string",
"type": "development",
"updatedAt": "123"
}
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
The unique project identifier or the project name
environmentSlugOrIdstringRequired
The unique custom environment identifier within the project
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
slugstringOptional
The slug of the custom environment.
descriptionstringOptional
Description of the custom environment. This is optional.
branchMatcherobjectOptional
How we want to determine a matching branch. This is optional.
200Success
branchMatcherobjectOptional
Configuration for matching git branches to this environment
createdAtnumberRequired
Timestamp when the environment was created
currentDeploymentAliasesarrayOptional
List of aliases for the current deployment
descriptionstringOptional
Optional description of the environment's purpose
domainsarrayOptional
List of domains associated with this environment
idstringRequired
Unique identifier for the custom environment (format: env_*)
slugstringRequired
URL-friendly name of the environment
typestringRequired
The type of environment (production, preview, or development)
updatedAtnumberRequired
Timestamp when the environment was last updated
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error
500Error